Description: debianization
 Meant to maintain a minimal debian/rules, to fix warnings, to address
 Debian specific stuff in general. This is a Debian centric patch.
Origin: vendor, Debian
Forwarded: not-needed
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2021-02-26

--- a/setup.py
+++ b/setup.py
@@ -51,13 +51,6 @@
 	cythonize_subdir = "pari"
 cythonize_dir = opj("build", cythonize_subdir)
 
-if sys.platform == 'cygwin':
-    # On Cygwin FD_SETSIZE defaults to a rather low 64; we set it higher
-    # for use with PSelecter
-    # See https://github.com/sagemath/cysignals/pull/57
-    macros.append(('FD_SETSIZE', 512))
-    depends.append(opj("src", "cysignals", "implementation_cygwin.c"))
-
 # Disable sanity checking in GNU libc. This is required because of
 # false positives in the longjmp() check.
 undef_macros = ["_FORTIFY_SOURCE"]
--- a/example/setup.py
+++ b/example/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python3
+#!/usr/bin/python3
 
 from setuptools import setup
 from distutils.command.build import build as _build
@@ -21,7 +21,7 @@
     name="cysignals_example",
     version='1.0',
     license='Public Domain',
-    setup_requires=["cysignals"],
+##    setup_requires=["cysignals"],
     ext_modules=["cysignals_example.pyx"],
     cmdclass=dict(build=build),
 )
--- a/src/scripts/cysignals-CSI
+++ b/src/scripts/cysignals-CSI
@@ -1,4 +1,4 @@
-#!/usr/bin/env python3
+#!/usr/bin/python3
 #*****************************************************************************
 #       Copyright (C) 2013 Volker Braun <vbraun.name@gmail.com>
 #
